﻿using SciChartSimpleControl.SciChartSurfaceControl.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SciChartSimpleControl
{
    /// <summary>
    /// Interaction logic for SciChartSimpleUserControl.xaml
    /// </summary>
    public partial class SciChartSimpleUserControl : UserControl
    {
        public SciChartSimpleUserControl()
        {
            InitializeComponent();
            SciChartSurfaceViewModelInstance = SciChartSurfaceViewInstance.ViewModel;
        }
        public void ChangeChartType(ChartTypes newType)
        {
            SciChartSurfaceViewModelInstance.ControlChartType = newType;
        }
        public void ShowData(WrappedValuesViewModel data)
        {
            if (data != null)
            {
                SciChartSurfaceViewModelInstance.ValuesCollection.Add(data);
            }
        }
        public void ClearData()
        {
            SciChartSurfaceViewModelInstance.ValuesCollection.Clear();
        }
        public SciChartSurfaceViewModel SciChartSurfaceViewModelInstance { get; private set; }
    }
}
