﻿using System;
using System.Collections.Generic;
using TikFramework.ViewModel;
using SciChartSimpleControl.SciChartSurfaceControl.Model;

namespace SciChartSimpleControl.SciChartSurfaceControl.ViewModel
{
    public class WrappedValuesViewModel : BaseViewModel
    {
        public string SeriesName { get; set; }
        public double[] RawValue { get;  set; }
        //public Dictionary <DateTime,double>  HistoricalValues { get; set; }
        public List <DateTimeDoubleValue> HistoricalValues { get; set; }
        public WrappedValuesViewModel ()
        {
            RawValue = null;
            HistoricalValues = new List<DateTimeDoubleValue>();
        }
    }
}